-1

my dnf update failed with an error on gdk-pixbuf2-2.38.0-2.fc29.x86_64

then I tryied :

 dnf clean packages ; dnf update --allowerasing --skip-broken -y 

answers

Erreur : Erreur du contrôle de transaction :   le fichier 
   /usr/share/thumbnailers/gdk-pixbuf-thumbnailer.thumbnailer
   entre en conflit avec les tentatives d'installation de 
   gdk-pixbuf2-2.38.0-2.fc29.i686 et
   gdk-pixbuf2-2.38.0-2.fc29.x86_64

There is no --force nor bruteforce nor absolute install options .... in man pages so.. how to be able to update my system again (I need an update for some other softs & libs) ?

7
  • 2
    Fedora 29 is not flagged as final, yet. You should report this bug: fedoraproject.org/wiki/How_to_file_a_bug_report Sep 9, 2018 at 19:41
  • Thanks, but I absolutly need a short time solution during response time.
    – francois P
    Sep 9, 2018 at 19:55
  • 3
    Just remove the i686 package. It's better to use a stable/final version of distributions, if you wanna work on it. Testings/betas always have bugs - this is why it's in beta phase. Sep 9, 2018 at 19:58
  • this cannot be done it will remove nearly ALL of my system
    – francois P
    Sep 9, 2018 at 20:00
  • 2
    Note that removing i686 packages should leave your system in functional state, even if there are a lot of them installed. Nothing in x86_64 Fedora itself really requires 32-bit support.
    – mattdm
    Sep 12, 2018 at 15:05

1 Answer 1

1

You probably shouldn't do this, but just for completeness, if you want to force install a package, download it (maybe with dnf download) and then use rpm -Uvh --force to force install it. This will usually cause more problems than it solves, but if you want to hammer this particular screw, that's how to do it.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.